<!--
  ~ #%L
  ~ chvote-bo
  ~ %%
  ~ Copyright (C) 2016 - 2019 République et Canton de Genève
  ~ %%
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
  ~ GNU General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  ~ #L%
  -->

<mat-table #table [dataSource]="dataSource" matSort id="electoral-lists">

  <ng-container matColumnDef="indentureNumber">
    <mat-header-cell *matHeaderCellDef mat-sort-header class="center">
      {{ "parameters.repository.edit.election-details.electoral-list.table.header.indenture-number" | translate}}
    </mat-header-cell>
    <mat-cell *matCellDef="let element"> {{element.indentureNumber}}</mat-cell>
  </ng-container>


  <ng-container matColumnDef="name">
    <mat-header-cell *matHeaderCellDef mat-sort-header>
      {{ "parameters.repository.edit.election-details.electoral-list.table.header.name" | translate}}
    </mat-header-cell>
    <mat-cell *matCellDef="let element"> {{element.name}}</mat-cell>
  </ng-container>


  <ng-container matColumnDef="inAnUnion">
    <mat-header-cell *matHeaderCellDef mat-sort-header class="center">
      {{ "parameters.repository.edit.election-details.electoral-list.table.header.in-union" | translate}}
    </mat-header-cell>
    <mat-cell *matCellDef="let element">
      <ng-container *ngIf="element.inAnUnion">
        {{ "parameters.repository.edit.election-details.in-a-union" | translate}}
      </ng-container>
      <ng-container *ngIf="!element.inAnUnion">
        {{ "parameters.repository.edit.election-details.not-in-a-union" | translate}}
      </ng-container>


    </mat-cell>
  </ng-container>

  <ng-container matColumnDef="candidateCount">
    <mat-header-cell *matHeaderCellDef mat-sort-header class="center">
      {{ "parameters.repository.edit.election-details.electoral-list.table.header.candidate-count" | translate}}
    </mat-header-cell>
    <mat-cell *matCellDef="let element">
      {{element.candidateCount}}
    </mat-cell>
  </ng-container>

  <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
  <mat-row *matRowDef="let row; columns: displayedColumns;"></mat-row>
</mat-table>


<mat-dialog-actions fxLayout="row" fxLayoutAlign="end">
  <button mat-button [mat-dialog-close]="[]" id="cancel">
    {{"global.actions.close" | translate | uppercase}}
  </button>
</mat-dialog-actions>
